import { Routes } from "@angular/router";
import { LoginViewComponent } from "./components/login-view/login-view.component";
import { MitarbeiterverwaltungViewComponent } from "./components/mitarbeiterverwaltung-view/mitarbeiterverwaltung-view.component";
import { EmployeeDetailComponent } from "./components/employee-detail/employee-detail.component";
import { QualifikatonBearbeitenViewComponent } from "./components/qualifikaton-bearbeiten-view/qualifikaton-bearbeiten-view.component";
import { KeycloakAuthGuard } from "keycloak-angular";
import { AuthGuard } from "./service/auth.service";

export const routes: Routes = [
  {
    path: "",
    component: LoginViewComponent,
  },
  {
    path: "mitarbeiter",
    component: MitarbeiterverwaltungViewComponent,
    canActivate: [AuthGuard],
  },
  {
    path: "mitarbeiterdetails",
    component: EmployeeDetailComponent,
  },
  {
    path: "qualifikationbearbeiten",
    component: QualifikatonBearbeitenViewComponent,
  },
  {
    path: "**",
    redirectTo: "",
  },
];
